
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Urbanist:ital,wght@0,100..900;1,100..900&display=swap');



* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
:root{
    --colorPrimary: #A8C7FA;
    --colorSecondary: #ffe100;
    --text-white: #f2f2f2;
    --text-black: #121314;
}
html {
    
    background: linear-gradient(108deg, #070916 3.13%, #2b315e 49.63%, #101428 96.13%);
    scroll-behavior: smooth;
}
body {
    color: var(--text-white);
    font-size: 1rem;
    font-family: "Open Sans", sans-serif;
    position: relative;
}
svg{
    display: block;
    fill: #A8C7FA;
    width: 24px;
    height: 24px;
    min-width: 24px;
    max-width: 24px;
}

.logo a{
    font-size: 1.6rem;
    font-weight: 700;
    color: var(--colorPrimary);
    width: 100px;
}
.logo a:hover{
    color: var(--colorSecondary);
}

ul {
    display: inline-flex;
    gap: 3rem;
    text-decoration: none;
}
nav ul li a{
    color: var(--text-white);
}
nav ul li a:hover {
    color: var(--colorSecondary);
    transition: 0.2s ease-in-out;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
    color: #fff;
    display: inline-block;
}
header {
    display: flex;
    flex-direction: column;
    height: 100dvh;
    max-height: 100dvh;
    width: 100%;
    

}
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    width: 100%;
    position: fixed;
    backdrop-filter: blur(12px);
    z-index: 100;
    animation: slideDown 0.8s ease-in;

}
@keyframes slideDown {
    from {
        transform: translateY(-100%);
    }
    to {
        transform: translateY(0);
    }
}
nav {
    
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
}
.btn {
    padding: 4px 8px;
    border-radius: 4px;
    border: 2px solid #fff;
    color: #fff;
    width: 110px;
    text-align: center;
    font-weight: 500;
    

}
.btn:hover {
    background-color: #fff;
    color: #070916;
    transition: 0.3s ease-in-out;
    border: none
}
.btn-2 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 12px 16px;
    border-radius: 8px;
    background-color: var(--colorSecondary);
    color: var(--text-black);
    width: 250px;
    height: 50px;
    text-align: center;
    font-weight: 700;
    transition: 0.2s ease-in;
    font-size: 1rem;
    text-align: center;
}
.btn-2:hover {
    background-color: var(--colorPrimary);
    font-size: 1.1rem ;
    padding: 8px 16px;
}
.content-header {
    display: flex;
    justify-content: center;
    width: 100%;
    padding: 6rem 6rem;
    gap: 2rem;
}
.content-info{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: space-between;
    gap: 1rem;
    width: 100%;
    animation: fadeIn 1.2s ease-in-out ;

}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateX(-50px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

h1 {
    display: flex;
    flex-direction: column;
    font-size: 2.5rem;
    font-family: "Urbanist", sans-serif;
}
h1 span {
    font-size: 1rem;
    color: var(--colorPrimary);
    font-weight: 400;
    margin-bottom: 0.5rem;
}
.content-info p{
    font-size: 1rem;
    line-height: 1.8rem;
}
.content-info-der{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
    width: 100%;
    animation: fadeIn2 1.2s ease-in-out ;
}
@keyframes fadeIn2 {
    from {
        opacity: 0;
        transform: translateX(50px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

.content-info-der p{
    display: flex;
    flex-direction: column;
    padding: 1rem;
    backdrop-filter: blur(4px);
    background-color: #A8C7FA20;
    border-radius: 8px;
    font-size: 0.9rem;
    gap: 0.5rem;
}
.content-info-der p:hover{
    background-color: #A8C7FA40;
    transition: 0.3s ease-in-out;
}



h2 {
    font-size: 2.5rem;
}
.content-image {
    display: flex;
    width: 100%;
    height: 100%;
   justify-content: center;
   animation: scaleimg 0.8s ease-in ;
}
@keyframes scaleimg {
    from {
        opacity: 1;
        transform: scale(0.8);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}

.content-image img {
    width: auto;
    max-height: 600px;
    transition: transform 0.3s ease-in-out; /* <- aquí */
}

.content-image img:hover {
    transform: scale(1.1);
}


.derecho-admin {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 6rem;
    gap: 1rem;
}
.derecho-admin-info{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 8px;
    width: 100%;
    margin-top: 4rem;

}
.video{
    display: flex;
    align-items: center;
}
.video video{
    height: auto;
    width: 500px;
    border-radius: 16px;
    box-shadow: 0px 0px 21px 2px #121314;
    -webkit-box-shadow: 0px 0px 21px 2px rgba(0,0,0,0.64);
    -moz-box-shadow: 0px 0px 21px 2px rgba(0,0,0,0.64);
}
.derecho-admin-info ul{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    
}
.derecho-admin-info ul li{
    display: flex;
    gap: 0.5rem;
    align-items: center;
}
.derecho-notarial {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 6rem;
    gap: 1rem;
}
.derecho-notarial-info{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 8px;
    width: 100%;
    margin-top: 4rem;

}
.video{
    display: flex;
    align-items: center;
}
.image img{
    height: auto;
    width: 500px;
    border-radius: 16px;
    box-shadow: 0px 0px 21px 2px #121314;
    -webkit-box-shadow: 0px 0px 21px 2px rgba(0,0,0,0.64);
    -moz-box-shadow: 0px 0px 21px 2px rgba(0,0,0,0.64);
}
.derecho-notarial-info ul{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    
}
.derecho-notarial-info ul li{
    display: flex;
    gap: 0.5rem;
    align-items: center;
}







.derecho-civil {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 6rem;
    gap: 1rem;
}
.derecho-civil-info{
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    gap: 8px;
    width: 100%;
    margin-top: 4rem;

}


.derecho-civil-info ul{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    
}
.derecho-civil-info ul li{
    display: flex;
    gap: 0.5rem;
    align-items: center;
}





.tutela {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 6rem;
    gap: 1rem;
}
.tutela-info{

    display: flex;

    justify-content: space-between;
    align-items: center;
    gap: 5rem;
    width: 100%;
    margin-top: 4rem;

}


.tutela-info ul{
    display: flex;
    width: 100%;
    gap: 4rem;
}
.tutela-info ul li{
    display: flex;
    flex-direction: column;
    
    align-items: center;
    background-color: #A8C7FA20;
    border-radius: 8px;
    
    width: 100%;
}

.tutela-info ul li:hover{
    background-color: #A8C7FA40;
    transition: 0.2s ease-in-out;
    }
.tutela-info ul li img{
    width:100%;
    height: 100%;
    border-radius: 8px 8px 0 0;
    object-fit: cover;
    
}
.tutela-info ul li span{
    width:100%;
    height: auto;
    padding: 1.5rem;
}

footer {
    display: flex;
    flex-direction: column;
    align-items: space-between;
  border-top: 4px solid var(--colorPrimary);
    padding: 2rem;
    text-align: center;
    justify-content: space-between;
    width: 100%;
    height: auto;
    gap: 1rem;
    background: linear-gradient(108deg, #070916 3.13%, #2b315e 49.63%, #101428 96.13%);
}

footer p {
    font-size: 0.8rem;
    color: var(--text-white);
    font-weight: 300;
    text-align: center;

}
.footer-items {
    display: flex;
    justify-content: space-between;
    align-items: space-between;
    width: 100%;
    height: auto;
    max-width: 1440px;
    margin: 0 auto;
    padding: 0.5rem 0;
}
.footer-text-info {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    color: var(--text-white);
    height: auto;
    width: 100%;
}

.footer-text-info p {
    text-align: start;
    font-size: 0.9rem;
    max-width: 700px;
}
.other-media{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: end;
    gap: 0.3rem;
    width: 100%;
    height: auto;
}

.other-media p {
    font-size: 0.8rem;
    
}
h5 {
    font-size: 1.5rem;
    font-weight: 600;
    margin-bottom: 0.5rem;
    text-align: left;
}
h6 {
    font-size: 1rem;
    font-weight: 500;
    margin-bottom: 0.5rem;
    text-align: left;
}
.social-media{
    display: flex;
    gap: 1rem;
    height: 24px;
}

.contact{
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: center;
    gap: 0.3rem;
    width: 100%;
    height: auto;
}
.contact p{
    text-align: end;
    font-size: 1rem;
}
.conntact p a{
    color: var(--text-white);
    
}
.conntact p a:hover{
    color: var(--acent-color);
    
}
.contact a{
    color: var(--text-white);
    text-decoration: none;
    font-weight: 300;
}
.contact a:hover{
    color: var(--colorPrimary);
    
}
.all-rights{
    display: flex;
    gap: 0.3rem;
}
.all-rights a{
    font-size: 0.8rem;
}
.all-rights a:hover{
    
    color: var(--colorPrimary);
}
.whatsapp-btn{
    position: fixed;
    bottom: 1rem;
    right: 1rem;
}







@media (max-width: 768px) {
    header {
        flex-direction: column;
        height: auto;
        max-height: none;
    }

    .content-header{
        margin-top: 6rem;
    }

    nav {
        display: none;
    }

    .content-header {
        flex-direction: column;
        padding: 2rem;
        gap: 2rem;
    }

    .content-image img {
        width: 100%;
        height: auto;
        max-height: 300px;
        object-fit: contain;
    }

    h1 {
        font-size: 2.5rem;
        text-align: center;
    }

    .content-info {
        align-items: center;
        text-align: center;
    }
    .derecho-admin{
        padding: 2rem;
    }
    .derecho-admin p{
        font-size: 0.8rem;
    }
    .derecho-admin-info{
        flex-direction: column-reverse;
        margin-top: 1rem;
        gap: 2rem;
        
    }
    .derecho-admin-info li{
        font-size: 0.8rem;
    }
    .video video{
        width: 600px;
    }

     .derecho-notarial{
        padding: 2rem;
    }
    .derecho-notarial p{
        font-size: 0.8rem;
    }
    .derecho-notarial-info{
        flex-direction: column;
        margin-top: 1rem;
        gap: 2rem;
        
    }
    .derecho-notarial-info li{
        font-size: 0.8rem;
    }
    .image img{
        width: 600px;
    }


    .tutela{
        padding: 2rem;
    }
    .tutela p{
        font-size: 0.8rem;
    }
    .tutela-info{
        flex-direction: column-reverse;
        margin-top: 1rem;
        gap: 2rem;
        
    }
    .tutela-info li{
        font-size: 0.8rem;
    }
    .tutela-info ul{
        flex-direction: column;
        gap: 2rem;
    }
    

 .derecho-civil{
        padding: 2rem;
    }
    .derecho-civil p{
        font-size: 0.8rem;
    }
    .derecho-civil-info{
        flex-direction: column;
        margin-top: 1rem;
        gap: 2rem;
        
    }
    .derecho-civil-info li{
        font-size: 0.8rem;
    }

    footer {
        padding: 2rem 1rem 1rem 1rem;
    }
    .footer-items {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        gap: 2rem;
    }
    .footer-text-info {
        align-items: center;
        text-align: center;
        max-width: 100%;
    }
    .footer-text-info p {
        text-align: center;
        max-width: 100%;
    }
    .other-media{
        align-items: center;
        text-align: center;
    }
    .contact {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .all-rights p{
        font-size: 0.7rem;
    }
    .all-rights a{
        font-size: 0.7rem;
    }   
    h5, h6 {
        text-align: center;
    }
    .best-projects{
    display: flex;
    flex-direction: column-reverse;
    height: auto;
    flex-direction: column;
}
}

@media (max-width: 500px) {
    h1 {
        font-size: 2rem;
    }
 
    h2{
        font-size: 1.5rem;
        text-align: center;
    }
    .video video{
        width: 100%;
    }
    .image img{
        width: 100%;
    }
    .derecho-notarial{
        align-items: center;
    }
    .derecho-admin-info ul li{
   
    align-items: start;
    }
    .derecho-notarial-info ul li{
   
    align-items: start;
    }
}

